<%@ page import="java.net.URL" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Vector" %>
<%!
 private static Iterator list(ClassLoader CL)
        throws NoSuchFieldException, SecurityException,
        IllegalArgumentException, IllegalAccessException {
        Class CL_class = CL.getClass();
        while (CL_class != java.lang.ClassLoader.class) {
            CL_class = CL_class.getSuperclass();
        }
        java.lang.reflect.Field ClassLoader_classes_field = CL_class
                .getDeclaredField("classes");
        ClassLoader_classes_field.setAccessible(true);
        Vector classes = (Vector) ClassLoader_classes_field.get(CL);
        return classes.iterator();
    }
%>
<%
ClassLoader myCL = groovy.lang.GroovyShell.class.getClassLoader();
        while (myCL != null) {
            %>ClassLoader: <%=myCL+"\n"%><%
            for (Iterator iter = list(myCL); iter.hasNext();) {
                %><%="\t"+iter.next()+"\n"%><%
            }
            myCL = myCL.getParent();
        }
%>
